def postprocess(data):
    """转换字典中的值为列表，如果所有键对应的值都是'/', '{}' 或 '未知'"""
    for key, value in data.items():
        if all(v in ['/', '未知', {}] for v in value.values()):
            data[key] = list(value.keys())
    return data

# 示例数据
data = {
    "第一包.耗材": {
        "服务器": "未知",
        "台式计算机": "未知",
        "便携式计算机": "/",
        "信息安全设备": {},
        "喷墨打印机": "/",
        "激光打印机": "/",
        "针式打印机": "/",
        "液晶显示器": "/",
        "扫描仪": "/",
        "基础软件": "/",
        "信息安全软件": "/",
        "复印机": "/",
        "投影仪": "/",
        "多功能一体机": "/",
        "触控一体机": "/",
        "碎纸机": "/",
        "复印纸": "/"
    }
}

# 转换字典
converted_data = postprocess(data)
print(converted_data)
